import 'package:uuid/uuid.dart';

enum StreamElementType { log, warning, error, alert }

class StreamElement {
  StreamElement(this.type, this.message) {
    uuid = const Uuid().v4();
    date = DateTime.now();
  }

  late final String uuid;
  late final DateTime date;
  final String message;
  final StreamElementType type;
}
